<HdlContainer config = 'base'
              only = 'adrv9361'
              constraints = 'adrv1crr_bob_data_src_qadc_ad9361_sub_lvds.xdc'>
  <!-- There is no 1PPS input on the adrv1crr_bob
  <signal name="GPS_1PPS" platform=""/> tell the container-->
  <!-- comm buses (e.g. I2C/SPI) -->
  <Device name="platform_ad9361_spi">
    <Property name="CP_CLK_FREQ_HZ_p" value="100e6"/> <!-- we MUST provide to this worker the adrv9361's control plane clock freq value -->
  </Device>

  <!-- command/control -->
  <Device name="platform_ad9361_data_sub">
    <Property name="lvds_p" value="true"/>
    <!-- we MUST enforce use of a particular parameterized build of this
         worker which corresponds to parameter property values which are
         required for the RX/TX clock/data paths for the adrv9361 setup/hold
         requirements -->
    <Property name="DATA_CLK_Delay" value="3"/>
    <Property name="RX_Data_Delay"  value="0"/>
  </Device>
  <Device name="platform_ad9361_config">
    <Property name="pin_control_p" value="true"/>
  </Device>

  <!-- 1 RX channel(s), 0 TX channel(s) data interface(s) -->
  <Device name='data_src_qadc_ad9361_sub'>
    <Property name='lvds_p' value='true'/>
    <Property name='half_duplex_p' value='false'/>
    <Property name='single_port_p' value='false'/>
  </Device>
  <Device name='data_src_qadc0'>
    <Property name="ADC_INPUT_IS_LSB_OF_OUT_PORT" value="true"/>
  </Device>

  <Connection Device="data_src_qadc0" Port="out" Interconnect="zynq"/>

  <!-- other peripherals -->
  <Device name="gpi_dip_switch" card="adrv1crr_bob">
    <Property name="USE_DEBOUNCE" value="true"/>
    <Property name="EDGE_MODE" value="false"/>
    <Property name="RISING" value="true"/>
    <Property name="USE_TOGGLE" value="false"/>
  </Device>
  <Device name="gpi_push_button" card="adrv1crr_bob">
    <Property name="USE_DEBOUNCE" value="true"/>
    <Property name="EDGE_MODE" value="true"/>
    <Property name="RISING" value="true"/>
    <Property name="USE_TOGGLE" value="true"/>
  </Device>
  <Device name="gpo_led" card="adrv1crr_bob"/>
</HdlContainer>
